Channels\subscriptionsandsubscribers 1 endpoints

PUT /users/{user_id}/channels/{channel_id}

This method subscribes the authenticated user to the specified channel.

operationId: ChannelsSubscriptionsAndSubscribers_subscribeToChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

user_id path required number

The ID of the user.

Responses

204

The user is subscribed to the channel.

404

No such channel exists.

PUT /users/{user_id}/channels/{channel_id}

Channels\tags 5 endpoints

GET /channels/{channel_id}/tags

This method returns every tag that has been added to the specified channel.

operationId: ChannelsTags_getAllChannelTags

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

Responses

200

The tags were returned.

400

No such channel exists.

GET /channels/{channel_id}/tags
PUT /channels/{channel_id}/tags

This method adds multiple tags to the specified channel. Include the tags as a JSON array in the body of the request using the tag field, like this: [{ "tag": "funny" }, { "tag": "concert" }]. The authenticated user must be the owner of the channel. For more information on batch requests like this one, see Using Common Formats and Parameters.

operationId: ChannelsTags_addMultipleTagsToChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

Request Body

required
application/vnd.vimeo.tag+json
schema ChannelsTagsAddMultipleTagsToChannelRequest
array of object
Property Type Required
name string required

Responses

200

The tags were added.

400
  • No such channel exists, or a parameter is invalid.
  • Error code 2501: The channel can’t have more than 20 tags.
  • Error code 2205: There was no request body, or the request body is malformed.
401

Error code 8003: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t add tags to this channel.

PUT /channels/{channel_id}/tags
DELETE /channels/{channel_id}/tags/{word}

This method removes a single tag from the specified channel. The authenticated user must be the owner of the channel.

operationId: ChannelsTags_removeTagFromChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

word path required string

The word to use as the tag.

Responses

204

The tag was removed.

400

The tag is invalid, or a parameter is invalid.

401

Error code 8003: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t remove tags from this channel.

DELETE /channels/{channel_id}/tags/{word}
GET /channels/{channel_id}/tags/{word}

This method determines whether a tag has been added to the specified channel.

operationId: ChannelsTags_checkIfTagAddedToChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

word path required string

The word to use as the tag.

Responses

204

The tag has been added to the channel.

400

No such tag exists.

404

Error code 5000: The tag exists, but the channel isn’t tagged by it.

GET /channels/{channel_id}/tags/{word}
PUT /channels/{channel_id}/tags/{word}

This method adds a single tag to the specified channel. The authenticated user must be the owner of the channel.

operationId: ChannelsTags_addTagToChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

word path required string

The word to use as the tag.

Responses

204

The tag was added.

400
  • The tag is invalid, or a parameter is invalid.
  • Error code 2501: The channel can’t have more than 20 tags.
401

Error code 8003: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t add tags to this channel.

PUT /channels/{channel_id}/tags/{word}

Channels\videos 7 endpoints

DELETE /channels/{channel_id}/videos

This method removes multiple videos from the specified channel. Include the videos by their URI as a JSON block in the body of the request using the video_uri field, like this: [{ "video_uri": "/videos/1234" }, { "video_uri": "/videos/1235" }]. The authenticated user must be a moderator of the channel. For more information on batch requests like this one, see Using Common Formats and Parameters.

operationId: ChannelsVideos_removeMultipleFromChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

Request Body

required
application/json
schema ChannelsVideosRemoveMultipleFromChannelRequest
Property Type Required
video_uri string required

Responses

204

The videos were removed.

403

The authenticated user can’t remove videos from this channel, or a video can’t be removed from the channel.

404

No such channel or user exists.

DELETE /channels/{channel_id}/videos
GET /channels/{channel_id}/videos

This method returns every video in the specified channel.

operationId: ChannelsVideos_listInChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

containing_uri query optional string

The page that contains the video URI.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by date added.
  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • default - Use the default sorting method.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • manual - Sort the results as the user has arranged them.
  • modified_time - Sort the results by last modification.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

304

No videos have been added to this channel since the given If-Modified-Since header.

400

The sort field is default, but the direction field has a value.

404

No such channel exists.

GET /channels/{channel_id}/videos
PUT /channels/{channel_id}/videos

This method adds multiple videos to the specified channel. The authenticated user must be a moderator of the channel.

operationId: ChannelsVideos_addMultipleToChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

Request Body

required
application/json
schema ChannelsVideosAddMultipleToChannelRequest
Property Type Required
video_uri string required

Responses

200

The videos were added.

403

The authenticated user can’t add videos to the channel, or a video can’t be added to the channel.

404

No such channel or user exist.

PUT /channels/{channel_id}/videos
DELETE /channels/{channel_id}/videos/{video_id}

This method removes a single video from the specified channel. The authenticated user must be a moderator of the channel.

operationId: ChannelsVideos_removeSpecificVideo

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

403

The authenticated user can’t remove videos from this channel, or the video can’t be removed from the channel.

404

No such channel or video exists.

DELETE /channels/{channel_id}/videos/{video_id}
GET /channels/{channel_id}/videos/{video_id}

This method returns a single video in the specified channel. You can use it to determine whether the video is in the channel.

operationId: ChannelsVideos_getSpecificVideoInChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

404

No such channel exists.

GET /channels/{channel_id}/videos/{video_id}
PUT /channels/{channel_id}/videos/{video_id}

This method adds a single video to the specified channel. The authenticated user must be a moderator of the channel.

operationId: ChannelsVideos_addVideoToChannel

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

Responses

204

The video was added.

403

The video can’t be added to a channel, or the authenticated user can’t add videos to this channel.

404

No such channel or video exists.

PUT /channels/{channel_id}/videos/{video_id}
GET /videos/{video_id}/available_channels

This method returns every channel to which the authenticated user can add or remove the specified video. The authenticated user must be a moderator of the channel.

operationId: ChannelsVideos_getAccessibleChannels

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

200

The channels were returned.

403

The authenticated user can’t add or remove this video from a channel.

404

The authenticated user isn’t a moderator of the channel.

GET /videos/{video_id}/available_channels

Embedpresets\customlogos 8 endpoints

GET /me/customlogos

This method returns every custom logo that belongs to the authenticated user or team owner.

operationId: EmbedPresetsCustomLogos_list

Responses

200

The custom logos were returned.

403

The authenticated user can’t access the custom logos.

GET /me/customlogos
POST /me/customlogos

This method adds a custom logo representing the authenticated user for display in the embedded player. Be sure to use this method in the context of the multi-step upload procedure described in our Working with Thumbnail Uploads guide. This method represents Step 2 of the procedure.

operationId: EmbedPresetsCustomLogos_addUserLogo

Responses

201

The custom logo was added.

403

The authenticated user can’t add the custom logo.

POST /me/customlogos
DELETE /me/customlogos/{logo_id}

This method deletes the specified custom logo belonging to the authenticated user.

operationId: EmbedPresetsCustomLogos_deleteUserLogo

Parameters

Name In Required Type Description
logo_id path required number

The ID of the custom logo.

Responses

204

The custom logo was deleted.

403

The authenticated user can’t access the custom logo.

DELETE /me/customlogos/{logo_id}
GET /me/customlogos/{logo_id}

This method returns a single custom logo belonging to the authenticated user.

operationId: EmbedPresetsCustomLogos_getSpecificUserLogo

Parameters

Name In Required Type Description
logo_id path required number

The ID of the custom logo.

Responses

200

The custom logo was returned.

403

The authenticated user can’t access the custom logo.

GET /me/customlogos/{logo_id}
GET /users/{user_id}/customlogos

This method returns every custom logo that belongs to the authenticated user or team owner.

operationId: EmbedPresetsCustomLogos_listUserLogos

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Responses

200

The custom logos were returned.

403

The authenticated user can’t access the custom logos.

GET /users/{user_id}/customlogos
POST /users/{user_id}/customlogos

This method adds a custom logo representing the authenticated user for display in the embedded player. Be sure to use this method in the context of the multi-step upload procedure described in our Working with Thumbnail Uploads guide. This method represents Step 2 of the procedure.

operationId: EmbedPresetsCustomLogos_addUserLogo

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Responses

201

The custom logo was added.

403

The authenticated user can’t add the custom logo.

POST /users/{user_id}/customlogos
DELETE /users/{user_id}/customlogos/{logo_id}

This method deletes the specified custom logo belonging to the authenticated user.

operationId: EmbedPresetsCustomLogos_deleteUserLogo

Parameters

Name In Required Type Description
logo_id path required number

The ID of the custom logo.

user_id path required number

The ID of the user.

Responses

204

The custom logo was deleted.

403

The authenticated user can’t access the custom logo.

DELETE /users/{user_id}/customlogos/{logo_id}
GET /users/{user_id}/customlogos/{logo_id}

This method returns a single custom logo belonging to the authenticated user.

operationId: EmbedPresetsCustomLogos_getSpecificUserLogo

Parameters

Name In Required Type Description
logo_id path required number

The ID of the custom logo.

user_id path required number

The ID of the user.

Responses

200

The custom logo was returned.

403

The authenticated user can’t access the custom logo.

GET /users/{user_id}/customlogos/{logo_id}

Embedpresets\essentials 8 endpoints

GET /me/presets

This method returns every embed preset that belongs to the authenticated user.

operationId: EmbedPresetsEssentials_getAllUserCreatedEmbedPresets

Parameters

Name In Required Type Description
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The embed presets were returned.

GET /me/presets
POST /me/presets

This method creates an embed preset.

operationId: EmbedPresetsEssentials_createPreset

Request Body

application/vnd.vimeo.preset+json
schema EmbedPresetsEssentialsCreatePresetRequest
Property Type Required
name string optional
embed object optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
id number optional
link string optional
active boolean optional
sticky boolean optional
title object optional
name string optional
owner string optional
portrait string optional
colors object optional
color_one string optional
color_two string optional
color_four string optional
color_three string optional
volume boolean optional
airplay boolean optional
buttons object optional
hd boolean optional
like boolean optional
embed boolean optional
share boolean optional
scaling boolean optional
fullscreen boolean optional
watchlater boolean optional
playbar boolean optional
chapters boolean optional
chromecast boolean optional
transcript boolean optional
play_button object optional
position string optional
audio_tracks boolean optional
closed_captions boolean optional
quality_selector boolean optional

Responses

200

The embed preset was created.

POST /me/presets
GET /me/presets/{preset_id}

This method returns a single embed preset. The authenticated user must be the owner of the preset.

operationId: EmbedPresetsEssentials_getSpecificPreset

Parameters

Name In Required Type Description
preset_id path required number

The ID of the preset.

Responses

200

The embed preset was returned.

GET /me/presets/{preset_id}
PATCH /me/presets/{preset_id}

This method edits the specified embed preset. The authenticated user must be the owner of the preset.

operationId: EmbedPresetsEssentials_editPreset

Parameters

Name In Required Type Description
preset_id path required number

The ID of the preset.

Request Body

application/vnd.vimeo.preset+json
schema EmbedPresetsEssentialsEditPresetRequest
Property Type Required
outro string optional

Responses

200

The embed preset was edited.

400

The outro type is invalid.

404
  • No such embed preset exists.
  • The authenticated user can’t edit the embed preset.
PATCH /me/presets/{preset_id}
GET /users/{user_id}/presets

This method returns every embed preset that belongs to the authenticated user.

operationId: EmbedPresetsEssentials_getUserEmbedPresets

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The embed presets were returned.

GET /users/{user_id}/presets
POST /users/{user_id}/presets

This method creates an embed preset.

operationId: EmbedPresetsEssentials_createEmbedPreset

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.preset+json
schema EmbedPresetsEssentialsCreateEmbedPresetRequest
Property Type Required
name string optional
embed object optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
id number optional
link string optional
active boolean optional
sticky boolean optional
title object optional
name string optional
owner string optional
portrait string optional
colors object optional
color_one string optional
color_two string optional
color_four string optional
color_three string optional
volume boolean optional
airplay boolean optional
buttons object optional
hd boolean optional
like boolean optional
embed boolean optional
share boolean optional
scaling boolean optional
fullscreen boolean optional
watchlater boolean optional
playbar boolean optional
chapters boolean optional
chromecast boolean optional
transcript boolean optional
play_button object optional
position string optional
audio_tracks boolean optional
closed_captions boolean optional
quality_selector boolean optional

Responses

200

The embed preset was created.

POST /users/{user_id}/presets
GET /users/{user_id}/presets/{preset_id}

This method returns a single embed preset. The authenticated user must be the owner of the preset.

operationId: EmbedPresetsEssentials_getSpecificEmbedPreset

Parameters

Name In Required Type Description
preset_id path required number

The ID of the preset.

user_id path required number

The ID of the user.

Responses

200

The embed preset was returned.

GET /users/{user_id}/presets/{preset_id}
PATCH /users/{user_id}/presets/{preset_id}

This method edits the specified embed preset. The authenticated user must be the owner of the preset.

operationId: EmbedPresetsEssentials_editPreset

Parameters

Name In Required Type Description
preset_id path required number

The ID of the preset.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.preset+json
schema EmbedPresetsEssentialsEditPresetRequest1
Property Type Required
outro string optional

Responses

200

The embed preset was edited.

400

The outro type is invalid.

404
  • No such embed preset exists.
  • The authenticated user can’t edit the embed preset.
PATCH /users/{user_id}/presets/{preset_id}

Embedpresets\timelineevents 2 endpoints

POST /videos/{video_id}/timelinethumbnails

This method adds a timeline event thumbnail to the specified video. The authenticated user must be the owner of the video.

operationId: EmbedPresetsTimelineEvents_addThumbnailToVideo

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

201

The timeline event thumbnail was added.

403

The authenticated user can’t add a timeline event thumbnail to the video.

404

No such video exists.

POST /videos/{video_id}/timelinethumbnails
GET /videos/{video_id}/timelinethumbnails/{thumbnail_id}

This method returns a single timeline event thumbnail that belongs to the specified video.

operationId: EmbedPresetsTimelineEvents_getSingleThumbnail

Parameters

Name In Required Type Description
thumbnail_id path required number

The ID of the timeline event thumbnail.

video_id path required number

The ID of the video.

Responses

200

The timeline event thumbnail was returned.

403

The authenticated user can’t access the timeline event thumbnail.

GET /videos/{video_id}/timelinethumbnails/{thumbnail_id}

Embedpresets\videos 5 endpoints

GET /me/presets/{preset_id}/videos

This method returns every video to which the specified embed preset has been added. The authenticated user must be the owner of videos.

operationId: EmbedPresetsVideos_getSpecificPresetVideos

Parameters

Name In Required Type Description
preset_id path required number

The ID of the embed preset.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The videos were returned.

GET /me/presets/{preset_id}/videos
GET /users/{user_id}/presets/{preset_id}/videos

This method returns every video to which the specified embed preset has been added. The authenticated user must be the owner of videos.

operationId: EmbedPresetsVideos_getPresetVideos

Parameters

Name In Required Type Description
preset_id path required number

The ID of the embed preset.

user_id path required number

The ID of the user.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The videos were returned.

GET /users/{user_id}/presets/{preset_id}/videos
DELETE /videos/{video_id}/presets/{preset_id}

This method removes the specified embed preset from a video. The authenticated user must either be the owner of the video or a team user with the contributor or admin role.

operationId: EmbedPresetsVideos_removePresetFromVideo

Parameters

Name In Required Type Description
preset_id path required number

The ID of the embed preset.

video_id path required number

The ID of the video.

Responses

204

The embed preset was removed.

404

No such video or embed preset exists.

DELETE /videos/{video_id}/presets/{preset_id}
GET /videos/{video_id}/presets/{preset_id}

This method determines whether a video has the specified embed preset.

operationId: EmbedPresetsVideos_checkIfPresetAddedToVideo

Parameters

Name In Required Type Description
preset_id path required number

The ID of the embed preset.

video_id path required number

The ID of the video.

Responses

204

The embed preset has been added to the video.

404

No such video or embed preset exists.

GET /videos/{video_id}/presets/{preset_id}
PUT /videos/{video_id}/presets/{preset_id}

This method adds an embed preset to the specified video. The authenticated user must either be the owner of the video or a team user with the contributor or admin role.

operationId: EmbedPresetsVideos_addPresetToVideo

Parameters

Name In Required Type Description
preset_id path required number

The ID of the embed preset.

video_id path required number

The ID of the video.

Responses

204

The embed preset was added to the video.

PUT /videos/{video_id}/presets/{preset_id}

Folders\essentials 11 endpoints

GET /me/projects

This method returns all the folders belonging to the authenticated user.

operationId: FoldersEssentials_getAllUserFolders

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • date - Sort the results by date.
  • default - Use the default sort order.
  • modified_time - Sort the results by last modification.
  • name - Sort the results by name.
  • pinned_on - Sort the results by pinned timestamp.

Responses

200

The folders were returned.

401

Error code 8000: The user credentials are invalid.

GET /me/projects
POST /me/projects

This method creates a new folder for the authenticated user. By default, this method creates a top-level folder. To create a subfolder — that is, to place the new folder inside an existing folder — specify the parent folder by URI with the parent_folder_uri parameter in the body of the request.

operationId: FoldersEssentials_createFolder

Request Body

required
application/json
schema FoldersEssentialsCreateFolderRequest
Property Type Required
name string required
parent_folder_uri string optional

Responses

201

The folder was created.

400
  • Error code 2204: The input is invalid.
  • Error code 2205: The input is empty.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user can’t create folders.
  • Error code 3701: The maximum folder depth has been exceeded.
POST /me/projects
DELETE /me/projects/{project_id}

This method deletes the specified folder and optionally also the videos that it contains. The authenticated user must be the owner of the folder.

operationId: FoldersEssentials_deleteFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

should_delete_clips query optional boolean

Whether to delete all the videos in the folder along with the folder itself.

Responses

204

The folder was deleted.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t delete the folder.

404

Error code 5000: No such folder exists.

DELETE /me/projects/{project_id}
GET /me/projects/{project_id}

This method returns a single folder belonging to the authenticated user.

operationId: FoldersEssentials_getSpecificFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

Responses

200

The folder was returned.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

GET /me/projects/{project_id}
PATCH /me/projects/{project_id}

This method edits the specified folder. The authenticated user must be the owner of the folder.

operationId: FoldersEssentials_editFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

Request Body

required
application/json
schema FoldersEssentialsEditFolderRequest
Property Type Required
name string required

Responses

200

The folder was edited.

400
  • Error code 2204: The input is invalid.
  • Error code 2205: The input is empty.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user can’t edit the folder.
  • Error code 3449: The authenticated user can’t edit folder settings.
  • Error code 3702: Folder settings aren’t enabled for this team.
404

Error code 5000: No such folder exists.

PATCH /me/projects/{project_id}
GET /users/{owner_id}/folders/private_to_me

This method returns the specified private-to-me folder.

operationId: FoldersEssentials_getUserPrivateToMeFolder

Parameters

Name In Required Type Description
owner_id path required number

The ID of the owner.

Responses

200

The folder was returned.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

GET /users/{owner_id}/folders/private_to_me
GET /users/{user_id}/projects

This method returns all the folders belonging to the authenticated user.

operationId: get_projects

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • date - Sort the results by date.
  • default - Use the default sort order.
  • modified_time - Sort the results by last modification.
  • name - Sort the results by name.
  • pinned_on - Sort the results by pinned timestamp.

Responses

200

The folders were returned.

401

Error code 8000: The user credentials are invalid.

GET /users/{user_id}/projects
POST /users/{user_id}/projects

This method creates a new folder for the authenticated user. By default, this method creates a top-level folder. To create a subfolder — that is, to place the new folder inside an existing folder — specify the parent folder by URI with the parent_folder_uri parameter in the body of the request.

operationId: create_project

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

required
application/json
schema CreateProjectRequest
Property Type Required
name string required
parent_folder_uri string optional

Responses

201

The folder was created.

400
  • Error code 2204: The input is invalid.
  • Error code 2205: The input is empty.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user can’t create folders.
  • Error code 3701: The maximum folder depth has been exceeded.
POST /users/{user_id}/projects
DELETE /users/{user_id}/projects/{project_id}

This method deletes the specified folder and optionally also the videos that it contains. The authenticated user must be the owner of the folder.

operationId: delete_project

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

should_delete_clips query optional boolean

Whether to delete all the videos in the folder along with the folder itself.

Responses

204

The folder was deleted.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t delete the folder.

404

Error code 5000: No such folder exists.

DELETE /users/{user_id}/projects/{project_id}
GET /users/{user_id}/projects/{project_id}

This method returns a single folder belonging to the authenticated user.

operationId: get_project

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

Responses

200

The folder was returned.

401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder exists.

GET /users/{user_id}/projects/{project_id}
PATCH /users/{user_id}/projects/{project_id}

This method edits the specified folder. The authenticated user must be the owner of the folder.

operationId: edit_project

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

Request Body

required
application/json
schema EditProjectRequest
Property Type Required
name string required

Responses

200

The folder was edited.

400
  • Error code 2204: The input is invalid.
  • Error code 2205: The input is empty.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user can’t edit the folder.
  • Error code 3449: The authenticated user can’t edit folder settings.
  • Error code 3702: Folder settings aren’t enabled for this team.
404

Error code 5000: No such folder exists.

PATCH /users/{user_id}/projects/{project_id}

Folders\items 3 endpoints

DELETE /me/projects/{project_id}/items

This method removes all items from the specified folder.

operationId: FoldersItems_removeFromFolder

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

should_delete_items query optional boolean

Whether to delete the items when removing them from the folder.

uris query required string

A comma-separated list of video or event URIs to remove.

Responses

204

The items were removed.

400
  • Error code 2204: The input is invalid.
  • Error code 3200: The authenticated user can’t remove items from the folder.
401

Error code 8000: The user credentials are invalid.

404

Error code 5000: No such folder or video exists.

DELETE /me/projects/{project_id}/items
GET /me/projects/{project_id}/items

This method returns every item that belongs to the specified folder.

operationId: FoldersItems_getFolderItems

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • folder - Filter the results by folder.
  • live_event - Filter the results by event.
  • video - Filter the results by video.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • default - Use the default sort order.
  • duration - Sort the results by duration. Items without a duration, namely events and folders, are grouped by type in ascending alphabetical order, with events first.
  • last_user_action_event_date - Sort the results by the date of the last user action.

Responses

200

OK

GET /me/projects/{project_id}/items
GET /users/{user_id}/projects/{project_id}/items

This method returns every item that belongs to the specified folder.

operationId: FoldersItems_getFolderContents

Parameters

Name In Required Type Description
project_id path required number

The ID of the folder.

user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • folder - Filter the results by folder.
  • live_event - Filter the results by event.
  • video - Filter the results by video.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • default - Use the default sort order.
  • duration - Sort the results by duration. Items without a duration, namely events and folders, are grouped by type in ascending alphabetical order, with events first.
  • last_user_action_event_date - Sort the results by the date of the last user action.

Responses

200

OK

GET /users/{user_id}/projects/{project_id}/items
Load more endpoints